# Management of Access Control Lists in Zope.
# The lists are derived from a DatabaseConnector.
# Copyright (C) 2000 Shane Hathaway
# E-mail: shathaway@earthling.net or hathawsh@pi.slcc.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

import ACLManager
import GroupACL

def initialize(context):
    try:
	context.registerClass(
	    ACLManager.ACLManager,
	    constructors=(ACLManager.manage_addACLManagerForm,
			  ACLManager.manage_addACLManager,
                          ACLManager.listAvailableDatabases),
	    icon='aclmng.gif'
	    )
	context.registerBaseClass(ACLManager.ACLManager)

	context.registerClass(
	    GroupACL.GroupACL,
	    constructors=(GroupACL.manage_addGroupACLForm,
			  GroupACL.manage_addGroupACL,
                          GroupACL.locateACLManager,),
	    icon='groupacl.gif'
	    )
	context.registerBaseClass(GroupACL.GroupACL)
        context.registerBaseClass(GroupACL.User)
        
    except:
        """If you can't register the product, tell someone.

        Zope will sometimes provide you with access to "broken product" and
        a backtrace of what went wrong, but not always; I think that only
        works for errors caught in your main product module.

        This code provides traceback for anything that happened in
        registerClass(), assuming you're running Zope in debug mode."""

        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(
	    traceback.format_exception(type, val, tb),''))
        del type, val, tb

